using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            char sl1 = slova[0];
            char sl2 = slova[1];

            string[] kolicine = Console.ReadLine().Split();
            int kol1 = Convert.ToInt16(kolicine[0]);
            int kol2 = Convert.ToInt16(kolicine[1]);

            if (kol1 == kol2 || kol1 == kol2 + 1 || kol2 == kol1 + 1) {
                int n = kol1 + kol2;
                string rez = "";
                
                for (int i = 0; i < n; i++) {
                    if (i % 2 == 0) {
                        rez += sl1;
                        continue;
                    }
                    rez += sl2;
                }

                Console.Write(rez);
            }
            else {
                Console.Write("nemoguce");
            }
            Console.ReadKey();
        }
    }
}